Package com.pixelmed.ftp

# Class FTPRemoteHostConfigurationDialog

java.lang.Object
com.pixelmed.ftp.FTPRemoteHost
com.pixelmed.ftp.FTPRemoteHostConfigurationDialog

public class FTPRemoteHostConfigurationDialog extends FTPRemoteHost

This class implements a dialog for users to enter ftp remote host configuration parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`badFieldString`
`protected JTextField`
`directoryField`
`protected JTextField`
`hostField`
`protected String`
`localName`
`protected JTextField`
`localNameField`
`protected JTextField`
`passwordField`
`protected JMenu`
`securityMenu`
`protected JTextField`
`userField`

### Fields inherited from class com.pixelmed.ftp.FTPRemoteHost

`directory, host, password, security, user`

## Constructor Summary

Constructors
Constructor
Description
`FTPRemoteHostConfigurationDialog()`
Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(Component parent)`
Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(Component parent, String localName)`
Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(Component parent, String localName, FTPRemoteHost frh)`
Configure ftp remote host information.
`FTPRemoteHostConfigurationDialog(String localName, FTPRemoteHost frh)`
Configure ftp remote host information.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCommonConstructorStuff(Component parent)`
`String`
`getLocalName()`
`static void`
`main(String[] arg)`
Main method for testing.

### Methods inherited from class com.pixelmed.ftp.FTPRemoteHost

`equals, getDirectory, getHost, getPassword, getSecurity, getUser, setDirectory, setHost, setPassword, setSecurity, setSecurity, setUser, toString`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### badFieldString

protected static final String badFieldString

See Also:
  - Constant Field Values

### localName

protected String localName

### localNameField

protected JTextField localNameField

### hostField

protected JTextField hostField

### userField

protected JTextField userField

### passwordField

protected JTextField passwordField

### directoryField

protected JTextField directoryField

### securityMenu

protected JMenu securityMenu

## Constructor Details

### FTPRemoteHostConfigurationDialog

public FTPRemoteHostConfigurationDialog(Component parent, String localName, FTPRemoteHost frh)

Configure ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the remote host
  `frh` - the current information whose contents are to be replaced with updated information

### FTPRemoteHostConfigurationDialog

public FTPRemoteHostConfigurationDialog(String localName, FTPRemoteHost frh)

Configure ftp remote host information.

Parameters:
  `localName` - the local name for the remote host
  `frh` - the current information whose contents are to be replaced with updated information

### FTPRemoteHostConfigurationDialog

public FTPRemoteHostConfigurationDialog(Component parent, String localName)

Create new ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the remote host

### FTPRemoteHostConfigurationDialog

public FTPRemoteHostConfigurationDialog(Component parent)

Create new ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen

### FTPRemoteHostConfigurationDialog

public FTPRemoteHostConfigurationDialog()

Create new ftp remote host information.

## Method Details

### getLocalName

public String getLocalName()

### doCommonConstructorStuff

protected void doCommonConstructorStuff(Component parent)

### main

public static void main(String[] arg)

Main method for testing.

Parameters:
  `arg` - array of zero strings - no command line arguments are expected